Subject: bug#52683: 27.2; json-parse-string fails to parse embeded strings

From: Philipp Stephani <[email-masked]>
Date: Mon, 20 Dec 2021 21:53:31 +0100

Am Mo., 20. Dez. 2021 um 20:55 Uhr schrieb Thierry Volpiatto
<[email-masked]>:
> in a json output, I have a string containing a string like this:
>
>     "Cime du Pied de Barry : \\"Arêtissime\\""

This is invalid syntax, it should be

"Cime du Pied de Barry : \"Arêtissime\""

> So I wonder if it is a bug in json-parse-string which fails on such
> string or in the API of the website itself which should not provide such
> string in their json output.

It's a bug in the website (or some other step in the process
incorrectly double-escapes quotation marks). However, the webpage you
linked (https://skitour.fr/topos/8583) is just HTML, it doesn't
contain any JSON AFAICS.